.TH WMF 1 "November 1996"
.UC 4

.SH NAME
wmf \- convert and index mails in html format.

.SH SYNOPSIS
.B wmf
[
.I options
]

.SH DESCRIPTION
WMF (Web Mail Folder) generates html-pages from email. Source can be a
file or stdin. 

.SH OPTIONS
Available command line options are the following:
.TP
-?
Print a summary of command line options.
.TP
-a url
About link. If this link presents it will be placed to the index section.
.TP
-c file
Another configurationfile (default ~/.wmfrc)
.TP
-d directory
Where all the files write to (default ./)
.TP
-e command
Mail-command (default MAILTO:)
.TP
-f permission
Set file permission after creation. Numeric mode only like chown (1)
.TP
-h
Print a summary of command line options.
.TP
-l days
Daylimit, mails older then <days> day won't be listed in the indexes.
0 = no limit (default=0).
.TP
-m mbox
Name of the mailbox file, - is used for stdin.
.TP
-n name
Name of the mail folder.
.TP
-p lines
Lines / page index. 0 = only one page (default 0).
Threads won't be brocken.
.TP
-r
Reverse sorting.
.TP
-t level
threading level limitation
.TP
-v
Print the programname and the version.
.TP
-w mode
Write-mode (0=indexing 1=overwrite 2=append 3=append no index).
.B Mode 0:
If you made changes manual or anything went wrong until indexing.
.B Mode 1:
If you want to start from scratch witch one big mbox file.
.I Warning: All files in the directory will be deleted !!!
.B Mode 2:
If you want to extend an existing archive.
.B Mode 3:
Specialy made if you need to convert emails stored in single files. After
converting all files you can call WMF again in Mode 0 for indexing.
 
.TP
-x level
Debug level (Bit0=Functions Bit1=Information Bit2=Fileoperations)

.SH ENVIROMENT
All switches can be defined with enviroments.
.TP
WMF_CONFIG
Another configurationfile (default ~/.wmfrc)
.TP
WMF_DAYS
Daylimit, mails older then <days> day won't be listed in the
indexes. 0 = no limit (default=0)
.TP
WMF_DEBUG
Debug level (Bit0=Functions Bit1=Information Bit2=Fileoperations)
.TP
WMF_EXTENSION
Define the file extension (default=".html").
.TP
WMF_DIR
Where all the files write to (default ./)
.TP
WMF_LINES
Lines / page index. 0 = only one page (default 0)
Threads won't be brocken.
.TP
WMF_MBOX
Name of the mailbox, - is used for stdin
.TP
WMF_MCMD
Mail-command (default MAILTO:)
.TP
WMF_NAME
Name of the mailinglist
.TP
WMF_RSORT
Reverse sorting
.TP
WMF_WMODE
Write-mode (0=indexing 1=append 2=overwrite)

.SH EXAMPLES

.SH AUTHOR
.NF
Norbert Kuemin <norbert.kuemin@gmx.net>
.FI

.LP
.SH FILES
.NF
~/.wmfrc
.FI

.LP
.SH SEE ALSO
.NF
wmfrc (1), procmail (1)
.FI

.SH NOTES
.NF
Thanks to all the people, who sent emails with bug-reports and suggestions.
.FI

.SH BUGS
.NF
There will always rest one bug (Murphys law). If you find it, so please
report it to Norbert.Kuemin@gmx.net
.FI

.SH COPYRIGHT
.NF
Copyright 1996, 1997 by Norbert Kuemin.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.FI
